Bug 247846 - e1000.ko fails to initialize network card - intel 82566DC
e1000.ko fails to initialize network card - intel 82566DC
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
7
x86_64 Linux
low Severity urgent
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-07-11 13:27 EDT by Pete Huckelba
Modified: 2007-11-30 17:12 EST (History)
1 user (show)

See Also:
Fixed In Version: 2.6.22.4-65.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-09-18 12:04:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
dmesg output with 7.3.20-k2-NAPI (failure) and 7.6.5 (success) (48.57 KB, text/plain)
2007-07-11 13:27 EDT, Pete Huckelba
no flags Details
dmesg output from 2.6.22.4-65.fc7 kernel load (25.01 KB, text/plain)
2007-09-18 12:02 EDT, Pete Huckelba
no flags Details

  None (edit)
Description Pete Huckelba 2007-07-11 13:27:00 EDT
Description of problem:
network failure using stock fc7 2.6.21-1.3194.fc7 and 2.6.21-1.3194.fc7 kernels
with e1000.ko (Intel PRO/1000 Network Driver - version 7.3.20-k2-NAPI)

Version-Release number of selected component (if applicable):
Intel(R) PRO/1000 Network Driver - version 7.3.20-k2-NAPI

How reproducible:
see below

Steps to Reproduce:
1.  install fc7 on intel dp35dp motherboard (p35 express chipset with intel
82566DC gigabit ethernet controller)
2.  boot
3.  e1000 fails to init controller
  
Actual results:
failure

Expected results:
controller should be initialized

Additional info:
works using latest 7.6.5 network driver from intel.com -
http://downloadmirror.intel.com/9180/eng/e1000-7.6.5.tar.gz
Comment 1 Pete Huckelba 2007-07-11 13:27:00 EDT
Created attachment 158975 [details]
dmesg output with 7.3.20-k2-NAPI (failure) and 7.6.5 (success)
Comment 2 Christopher Brown 2007-09-18 10:46:41 EDT
Hello Pete,

I'm reviewing this bug as part of the kernel bug triage project, an attempt to
isolate current bugs in the fedora kernel.

http://fedoraproject.org/wiki/KernelBugTriage

I am CC'ing myself to this bug and will try and assist you in resolving it if I can.

There hasn't been much activity on this bug for a while. Could you tell me if
you are still having problems with the latest kernel?

If the problem no longer exists then please close this bug or I'll do so in a
few days if there is no additional information lodged.

Cheers
Chris
Comment 3 Pete Huckelba 2007-09-18 12:02:17 EDT
Created attachment 198531 [details]
dmesg output from 2.6.22.4-65.fc7 kernel load

Stock Intel PRO/1000 Network Driver version 7.3.20-k2-NAPI correctly
initializes Intel 82566DC when booting 2.6.22.4-65.fc7 kernel.

Note You need to log in before you can comment on or make changes to this bug.